[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [virt-tools-list] VMM OSX port



FYI the virt-manager list is virt-tools-list redhat com, CC'd.

On 06/19/2012 07:33 PM, Gene Crucean wrote:
> Hey everyone,
> 
> I just subscribed to this list so please forgive me if I goof something up.
> 
> I was looking into the possibility of porting VMM to OSX. Is this on the
> todo list already? Or something that anyone else is hoping for? Since it's
> all written in Python (with GTK for the UI), it doesn't seem like it would
> be too bad of a port. The hard part is finding all of the pre-req's for OSX.
> 
> Would someone that knows this code better than I, know of any walls I might
> run into? Of course the gnome libs won't be available but I was thinking
> those would get replaced with cocoa interface libs.
> 

Porting from GTK to cocoa would be a pretty massive undertaking, you'd
practically be rewriting the app.

> I've never ported anything before (probably obvious :) so any tips/advice
> are welcome.
> 
> 
> 

This dep list is out of date (yeah virt-manager.org kinda sucks). Take a look
at the virt-manager.spec.in file in the git repo/tarball, all the Requires:
lines should give a more accurate picture.

> 
> (Yay!)
>  python  >= 2.4
>  pygtk2 >= 1.99.12-6
>  libxml2-python >= 2.6.23
> 
> (Not sure if these exist for osx)
>  libvirt-python >= 0.4.0
>  python-virtinst >= 0.300.0

These two are hard requirements.

>  vte >= 0.12.2
>  gtk-vnc >= 0.0.1
>  PolicyKit >= 0.6
>  dbus-python >= 0.61
> 

These could be disabled with low effort, but virt-manager functionality would
understandably suffer.

- Cole


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]